Function
createQGramIndexSAOnly
Builds the suffix array of a q-gram index on a sequence.
createQGramIndexSAOnly(sa, text, shape, stepSize)
Include Headers
seqan/index.h
Parameters

sa | The resulting list in which all q-grams are sorted alphabetically.
text | The sequence.
shape | The shape to be used. q is the length of this shape Types: Shape
stepSize | Store every stepSize'th q-gram in the index.

Remarks
This function should not be called directly. Please use indexCreate or indexRequire. The resulting tables must have appropriate size before calling this function.
Member of
IndexQGram
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58